#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 sop-core
version:              0.5.0.2
visibility:           public
id:                   sop-core-0.5.0.2-IQ3abLGnPOa7T8tHRyLOXU
key:                  sop-core-0.5.0.2-IQ3abLGnPOa7T8tHRyLOXU
license:              BSD-3-Clause
maintainer:           andres@well-typed.com
author:
    Edsko de Vries <edsko@well-typed.com>, Andres Löh <andres@well-typed.com>

synopsis:             True Sums of Products
description:
    Implementation of n-ary sums and n-ary products.

    The module "Data.SOP" is the main module of this library and contains
    more detailed documentation.

    The main use case of this package is to serve as the core of
    @<https://hackage.haskell.org/package/generics-sop generics-sop>@.

    A detailed description of the ideas behind this library is provided by
    the paper:

    * Edsko de Vries and Andres Löh.
    <http://www.andres-loeh.de/TrueSumsOfProducts True Sums of Products>.
    Workshop on Generic Programming (WGP) 2014.

category:             Data
abi:                  c07800253dcd0379664202ae2bbc56bd
exposed:              True
exposed-modules:
    Data.SOP Data.SOP.BasicFunctors Data.SOP.Classes
    Data.SOP.Constraint Data.SOP.Dict Data.SOP.NP Data.SOP.NS
    Data.SOP.Sing

import-dirs:          /usr/lib/ghc-9.8.2/site-local/sop-core-0.5.0.2
library-dirs:         /usr/lib/ghc-9.8.2/site-local/sop-core-0.5.0.2
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/sop-core-0.5.0.2
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/sop-core-0.5.0.2
hs-libraries:         HSsop-core-0.5.0.2-IQ3abLGnPOa7T8tHRyLOXU
depends:              base-4.19.1.0-inplace deepseq-1.5.0.0-inplace
haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/sop-core-0.5.0.2/html/sop-core.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/sop-core-0.5.0.2/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

